Bug 177025 - System-config-users should be more fault tolerant
System-config-users should be more fault tolerant
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-05 09:41 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:13:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2006-01-05 09:41:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051216 Fedora/1.5-3 Firefox/1.5

Description of problem:
It should be able to recover from inconsistencies between the passwd, group, and shadow files. 



Version-Release number of selected component (if applicable):
system-config-users-1.2.41-1.1

How reproducible:
Always

Steps to Reproduce:
1. Add user
2. Remove user from /etc/passwd
3. Remove user from /etc/group
4. Run system-config-users
  

Actual Results:  System-config-users does not work, and I would hardly call the error message informative - it should at least print the offending user.

Expected Results:  It should skip the faulty user, possibly warn about it, and prompt the user to delete it (?).

Additional info:
Comment 1 Nils Philippsen 2007-11-07 12:13:57 EST
Current versions warn about users/groups being faulty.

Note You need to log in before you can comment on or make changes to this bug.